._root_hw69b_1 {
  all: unset;
  cursor: pointer;
  will-change: background-color;
  transition: background-color 150ms ease-in-out;
  font-size: var(--cb-font-size-caption);
  line-height: var(--cb-line-height-caption);
  font-family: var(--cb-font-family-caption);
  letter-spacing: var(--cb-letter-spacing-caption);
  font-weight: var(--cb-font-weight-caption-bold);
  padding: var(--cb-space-xs) var(--cb-space-sm);
  border-radius: var(--cb-radius-md);
  display: flex;
  flex-direction: row;
  align-items: center;

  &._neutral_hw69b_17 {
    background-color: var(--cb-color-button-neutral-background);
    color: var(--cb-color-button-neutral-foreground);

    &:hover {
      background-color: var(--cb-color-button-neutral-background-hover);
    }

    &:active {
      background-color: var(--cb-color-button-neutral-background-active);
    }
  }

  &._brand_hw69b_30 {
    background-color: var(--cb-color-button-brand-background);
    color: var(--cb-color-button-brand-foreground);

    &:hover {
      background-color: var(--cb-color-button-brand-background-hover);
    }

    &:active {
      background-color: var(--cb-color-button-brand-background-active);
    }
  }

  &._ghost_hw69b_43 {
    background-color: var(--cb-color-button-ghost-background);
    color: var(--cb-color-button-ghost-foreground);

    &:hover {
      background-color: var(--cb-color-button-ghost-background-hover);
    }

    &:active {
      background-color: var(--cb-color-button-ghost-background-active);
    }
  }
}
._root_14l5h_1 {
  color: var(--cb-color-text-default);

  &._muted_14l5h_4 {
    color: var(--cb-color-text-muted);
  }

  &._body_14l5h_8 {
    font-size: var(--cb-font-size-body);
    font-family: var(--cb-font-family-body);
    line-height: var(--cb-line-height-body);
    letter-spacing: var(--cb-letter-spacing-body);

    &._normal_14l5h_14 {
      font-weight: var(--cb-font-weight-body-normal);
    }

    &._bold_14l5h_18 {
      font-weight: var(--cb-font-weight-body-bold);
    }
  }

  &._caption_14l5h_23 {
    font-size: var(--cb-font-size-caption);
    font-family: var(--cb-font-family-caption);
    line-height: var(--cb-line-height-caption);
    letter-spacing: var(--cb-letter-spacing-caption);

    &._normal_14l5h_14 {
      font-weight: var(--cb-font-weight-caption-normal);
    }

    &._bold_14l5h_18 {
      font-weight: var(--cb-font-weight-caption-bold);
    }
  }

  a {
    all: unset;
    color: var(--cb-color-text-link);
    cursor: pointer;
    text-decoration: none;

    &:hover {
      color: var(--cb-color-text-link-hover);
      text-decoration: underline;
    }
  }
}
@keyframes _contentShow_8pi9z_1 {
  from {
    opacity: 0;
    transform: translateX(-100px);
  }
  to {
    opacity: 1;
    transform: translateX(0px);
  }
}

@keyframes _contentHide_8pi9z_1 {
  from {
    opacity: 1;
    transform: translateX(0px);
  }
  to {
    opacity: 0;
    transform: translateX(-100px);
  }
}

@keyframes _slideDown_8pi9z_1 {
  0% {
    max-height: var(--cb-size-settings-max-height);
    overflow: auto;
  }
  1% {
    max-height: var(--cb-size-settings-max-height);
    overflow: hidden;
  }
  100% {
    max-height: 0;
    overflow: hidden;
  }
}

@keyframes _slideUp_8pi9z_1 {
  0% {
    max-height: 0;
    overflow: hidden;
  }
  99% {
    max-height: var(--cb-size-settings-max-height);
    overflow: hidden;
  }
  100% {
    max-height: var(--cb-size-settings-max-height);
    overflow: auto;
  }
}

._root_8pi9z_53 {
  display: flex;
  flex-direction: column;
  gap: var(--cb-space-md);
  padding: var(--cb-space-md);
  background-color: var(--cb-color-background-default);
  box-shadow: var(--cb-shadow-lg);
  border-radius: var(--cb-radius-md);
  overflow: hidden;
  will-change: opacity, transform;
  animation: _contentShow_8pi9z_1 150ms cubic-bezier(0.16, 1, 0.3, 1);
  width: 100%;

  &._noTarget_8pi9z_66 {
    position: fixed;
    bottom: var(--cb-space-md);
    left: var(--cb-space-md);
    max-width: var(--cb-size-banner-max-width);
  }

  ._collapsible_8pi9z_73 {
    display: contents;

    ._header_8pi9z_76 {
      display: flex;
      flex-direction: row;
      align-items: flex-start;
      justify-content: space-between;
      gap: var(--cb-space-md);

      ._heading_8pi9z_83 {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
      }

      ._chevron_8pi9z_89 {
        transform: rotate(0deg);
        will-change: transform;
        transition: transform 150ms ease-out;

        &._open_8pi9z_94 {
          transform: rotate(180deg);
        }
      }
    }

    ._settings_8pi9z_100 {
      display: flex;
      flex-direction: column;
      background-color: var(--cb-color-background-muted);
      border-radius: var(--cb-radius-md);
      overflow: hidden;
      will-change: max-height, overflow;
      animation: _slideDown_8pi9z_1 250ms ease-out;

      &[data-state="open"] {
        animation: _slideUp_8pi9z_1 250ms ease-out;
      }
    }

    ._footer_8pi9z_114 {
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: space-between;
      gap: var(--cb-space-md);

      ._legal_8pi9z_121 {
      }

      ._actions_8pi9z_124 {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: var(--cb-space-md);
      }
    }
  }
}
@keyframes _slideDown_mqtha_1 {
  from {
    height: 0;
  }
  to {
    height: var(--radix-accordion-content-height);
  }
}

@keyframes _slideUp_mqtha_1 {
  from {
    height: var(--radix-accordion-content-height);
  }
  to {
    height: 0;
  }
}

._root_mqtha_19 {
  display: flex;
  flex-direction: column;
  overflow: hidden;

  ._header_mqtha_24 {
    all: unset;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: var(--cb-space-sm) var(--cb-space-md);
    cursor: pointer;

    ._label_mqtha_33 {
      display: flex;
      flex-direction: column;
      width: 100%;
    }

    ._actions_mqtha_39 {
      display: flex;
      flex-direction: row;
      align-items: center;
      gap: var(--cb-space-sm);

      ._chevron_mqtha_45 {
        color: var(--cb-color-text-default);
        transition: transform 150ms ease-out;
        will-change: transform;
        transform: rotate(0deg);

        &._open_mqtha_51 {
          transform: rotate(180deg);
        }
      }
    }
  }

  ._description_mqtha_58 {
    padding: var(--cb-space-xs) var(--cb-space-md);
    max-width: 96ch;
    overflow: hidden;

    &[data-state="open"] {
      animation: _slideDown_mqtha_1 150ms ease-out;
    }
    &[data-state="closed"] {
      animation: _slideUp_mqtha_1 150ms ease-out;
    }
  }
}
._root_dibqz_1 {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  gap: var(--cb-space-sm);

  ._switch_dibqz_8 {
    width: 32px;
    height: 20px;
    padding: 2px;
    border-width: 1px;
    border-style: solid;
    border-color: var(--cb-color-border-neutral);
    border-radius: 9999px;

    will-change: background-color;
    transition: background-color 150ms ease-out;
    background-color: var(--cb-color-switch-background-neutral);
    position: relative;

    &[data-state="checked"] {
      background-color: var(--cb-color-switch-background-brand);
    }

    &[data-disabled] {
      cursor: not-allowed;
      background-color: var(--cb-color-switch-background-disabled);
    }

    &:not([data-disabled]) {
      cursor: pointer;
      &:hover {
        background-color: var(--cb-color-switch-background-light);
      }
    }

    ._thumb_dibqz_38 {
      width: 14px;
      height: 14px;
      position: absolute;
      left: 0;
      top: 0;

      background-color: var(--cb-color-switch-thumb-background-neutral);
      box-shadow: var(--cb-shadow-sm);
      border-radius: 9999px;

      transition: transform 150ms ease-out;
      transform: translateX(2px) translateY(2px);
      will-change: transform;

      &[data-state="checked"] {
        transform: translateX(14px) translateY(2px);
      }
    }
  }
}
:root {
  /* Semantic */
  --cb-color-background-default: var(--cb-color-neutral-0);
  --cb-color-background-muted: var(--cb-color-neutral-50);

  --cb-color-text-default: var(--cb-color-neutral-900);
  --cb-color-text-muted: var(--cb-color-neutral-500);
  --cb-color-text-link: var(--cb-color-brand-600);
  --cb-color-text-link-hover: var(--cb-color-brand-700);

  --cb-color-border-neutral: var(--cb-color-neutral-200);
  --cb-color-border-brand: var(--cb-color-brand-200);

  --cb-color-switch-background-neutral: var(--cb-color-neutral-100);
  --cb-color-switch-background-light: var(--cb-color-brand-500);
  --cb-color-switch-background-brand: var(--cb-color-brand-600);
  --cb-color-switch-background-disabled: var(--cb-color-neutral-300);

  --cb-color-switch-thumb-background-neutral: var(--cb-color-neutral-0);
  --cb-color-button-neutral-background: var(--cb-color-neutral-100);
  --cb-color-button-neutral-background-hover: var(--cb-color-neutral-200);
  --cb-color-button-neutral-background-active: var(--cb-color-neutral-100);
  --cb-color-button-neutral-foreground: var(--cb-color-neutral-700);

  --cb-color-button-brand-background: var(--cb-color-brand-100);
  --cb-color-button-brand-background-hover: var(--cb-color-brand-200);
  --cb-color-button-brand-background-active: var(--cb-color-brand-100);
  --cb-color-button-brand-foreground: var(--cb-color-brand-700);

  --cb-color-button-ghost-background: rgba(0, 0, 0, 0);
  --cb-color-button-ghost-background-hover: var(--cb-color-neutral-200);
  --cb-color-button-ghost-background-active: var(--cb-color-neutral-100);
  --cb-color-button-ghost-foreground: var(--cb-color-neutral-700);
}
